Some default SMO behavior

param autoPlay

  play a new note or chord

param autoAdvance

  Sibelius-like behavior of advancing cursor when a letter note is placed

param defaultDupleDuration

  in ticks, even metered measures

param defaultTripleDuration

  in ticks, 6/8 etc.

param showPiano

  show the piano widget in the score

param transposingScore

  Whether to show the score parts in concert key

### Hierarchy

- SmoScorePreferences

## Index

### Constructors

- constructor

## Constructors

### constructor

- new SmoScorePreferences(params: SmoScorePreferencesParams): SmoScorePreferences

- - Defined in src/smo/data/score.ts:104

  #### Parameters

  - ##### params: SmoScorePreferencesParams

  #### Returns SmoScorePreferences

Generated using TypeDoc